Agents

Fleet health aggregate counts

GET
/organizations/{organizationId}/agents/health-summary

Path Parameters

organizationId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/agents/health-summary" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "total": 0,  "online": 0,  "offline": 0,  "pending": 0,  "failedDeployments24h": 0,  "offlineThresholdSeconds": 0,  "periodChanges": {    "total": 0,    "online": 0,    "offline": 0,    "failedDeployments24h": 0  }}
{  "message": "string"}
{  "message": "string"}